Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class MBeanOperationInfo

    java.lang.Object
      javax.management.MBeanFeatureInfo
          javax.management.MBeanOperationInfo

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Direct Known Subclasses:
  ModelMBeanOperationInfo, OpenMBeanOperationInfoSupport

public class MBeanOperationInfo
extends MBeanFeatureInfo
implements java.io.Serializable, java.lang.Cloneable

Describes a management operation exposed by an MBean. Instances of this class are immutable. Subclasses may be mutable but this is not recommended.

See Also:
  Serialized Form

Field Summary
`static int` | `ACTION` Indicates that the operation is a write-like, and would modify the MBean in some way, typically by writing some value or changing a configuration.
`static int` | `ACTION_INFO` Indicates that the operation is both read-like and write-like.
`static int` | `INFO` Indicates that the operation is read-like, it basically returns information.
`static int` | `UNKNOWN` Indicates that the operation has an "unknown" nature.

Fields inherited from class javax.management.MBeanFeatureInfo
`description, name`

Constructor Summary
`MBeanOperationInfo(java.lang.String description, java.lang.reflect.Method method)` Constructs an `MBeanOperationInfo` object.
`MBeanOperationInfo(java.lang.String name, java.lang.String description, MBeanParameterInfo[] signature, java.lang.String type, int impact)` Constructs an `MBeanOperationInfo` object.

Method Summary
`java.lang.Object` | `clone()` Returns a shallow clone of this instance.
`boolean` | `equals(java.lang.Object o)` Compare this MBeanOperationInfo to another.
`int` | `getImpact()` Returns the impact of the method, one of `INFO`, `ACTION`, `ACTION_INFO`, `UNKNOWN`.
`java.lang.String` | `getReturnType()` Returns the type of the method's return value.
`MBeanParameterInfo[]` | `getSignature()` Returns the list of parameters for this operation.
`int` | `hashCode()`

Methods inherited from class javax.management.MBeanFeatureInfo
`getDescription, getName`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INFO

    public static final int INFO

  Indicates that the operation is read-like, it basically returns information.

  See Also:
    Constant Field Values

### ACTION

    public static final int ACTION

  Indicates that the operation is a write-like, and would modify the MBean in some way, typically by writing some value or changing a configuration.

  See Also:
    Constant Field Values

### ACTION_INFO

    public static final int ACTION_INFO

  Indicates that the operation is both read-like and write-like.

  See Also:
    Constant Field Values

### UNKNOWN

    public static final int UNKNOWN

  Indicates that the operation has an "unknown" nature.

  See Also:
    Constant Field Values

Constructor Detail

### MBeanOperationInfo

    public MBeanOperationInfo(java.lang.String description,
                              java.lang.reflect.Method method)
                       throws java.lang.IllegalArgumentException

  Constructs an `MBeanOperationInfo` object.

Parameters:
  `method` - The `java.lang.reflect.Method` object describing the MBean operation.
  `description` - A human readable description of the operation.

### MBeanOperationInfo

    public MBeanOperationInfo(java.lang.String name,
                              java.lang.String description,
                              MBeanParameterInfo[] signature,
                              java.lang.String type,
                              int impact)
                       throws java.lang.IllegalArgumentException

  Constructs an `MBeanOperationInfo` object.

Parameters:
  `name` - The name of the method.
  `description` - A human readable description of the operation.
  `signature` - `MBeanParameterInfo` objects describing the parameters(arguments) of the method. This may be null with the same effect as a zero-length array.
  `type` - The type of the method's return value.
  `impact` - The impact of the method, one of `INFO, ACTION, ACTION_INFO, UNKNOWN`.

Method Detail

### clone

    public java.lang.Object clone()

  Returns a shallow clone of this instance. The clone is obtained by simply calling `super.clone()`, thus calling the default native shallow cloning mechanism implemented by `Object.clone()`. No deeper cloning of any internal field is made.

  Since this class is immutable, cloning is chiefly of interest to subclasses.

### getReturnType

    public java.lang.String getReturnType()

  Returns the type of the method's return value.

  Returns:
    the return type.

### getSignature

    public MBeanParameterInfo[] getSignature()

  Returns the list of parameters for this operation. Each parameter is described by an `MBeanParameterInfo` object.

  The returned array is a shallow copy of the internal array, which means that it is a copy of the internal array of references to the `MBeanParameterInfo` objects but that each referenced `MBeanParameterInfo` object is not copied.

  Returns:
    An array of `MBeanParameterInfo` objects.

### getImpact

    public int getImpact()

  Returns the impact of the method, one of `INFO`, `ACTION`, `ACTION_INFO`, `UNKNOWN`.

  Returns:
    the impact code.

### equals

    public boolean equals(java.lang.Object o)

  Compare this MBeanOperationInfo to another.

  Overrides:
    `equals` in class `MBeanFeatureInfo`
  Parameters:
    `o` - the object to compare to.
  Returns:
    true iff `o` is an MBeanOperationInfo such that its `MBeanFeatureInfo.getName()`, `getReturnType()`, `MBeanFeatureInfo.getDescription()`, `getImpact()`, and `getSignature()` values are equal (not necessarily identical) to those of this MBeanConstructorInfo. Two signature arrays are equal if their elements are pairwise equal.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `MBeanFeatureInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.